ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From peterrei...@apache.org
Subject svn commit: r484998 - in /ant/core/trunk/docs/manual: CoreTasks/conditions.html install.html
Date Sat, 09 Dec 2006 15:28:22 GMT
Author: peterreilly
Date: Sat Dec  9 07:28:19 2006
New Revision: 484998

URL: http://svn.apache.org/viewvc?view=rev&rev=484998
Log:
update for script (partial)

Modified:
    ant/core/trunk/docs/manual/CoreTasks/conditions.html
    ant/core/trunk/docs/manual/install.html

Modified: ant/core/trunk/docs/manual/CoreTasks/conditions.html
URL: http://svn.apache.org/viewvc/ant/core/trunk/docs/manual/CoreTasks/conditions.html?view=diff&rev=484998&r1=484997&r2=484998
==============================================================================
--- ant/core/trunk/docs/manual/CoreTasks/conditions.html (original)
+++ ant/core/trunk/docs/manual/CoreTasks/conditions.html Sat Dec  9 07:28:19 2006
@@ -489,6 +489,15 @@
     <td valign="top" align="center">Yes</td>
   </tr>
   <tr>
+    <td valign="top">manager</td>
+    <td valign="top">
+      The script engine manager to use.
+      See the <a href="../OptionalTasks/script.html">script</a> task
+      for using this attribute.
+    </td>
+    <td valign="top" align="center">No - default is "auto"</td>
+  </tr>
+  <tr>
     <td valign="top">value</td>
     <td valign="top">default boolean value</td>
     <td valign="top" align="center">No -default is "false"</td>
@@ -497,8 +506,34 @@
     <td valign="top">src</td>
     <td valign="top">filename of script source</td>
     <td valign="top" align="center">No</td>
-  </tr>  
+  </tr>
+  <tr>
+    <td valign="top">setbeans</td>
+    <td valign="top">whether to have all properties, references and targets as
+      global variables in the script.</td>
+    <td valign="top" align="center">No, default is "true".</td>
+  </tr>
+  <tr>
+    <td valign="top">classpath</td>
+    <td valign="top">
+      The classpath to pass into the script.
+    </td>
+    <td align="center" valign="top">No</td>
+  </tr>
+  <tr>
+    <td valign="top">classpathref</td>
+    <td valign="top">The classpath to use, given as a
+       <a href="../using.html#references">reference</a> to a path defined elsewhere.
+    <td align="center" valign="top">No</td>
+  </tr>
 </table>
+<h5>Parameters specified as nested elements</h5>
+<h6>classpath</h6>
+  <p>
+    See the <a href="../OptionalTasks/script.html">script</a> task
+    for using this nested element.
+  </p>
+<h5>Description</h5>
 <p>
 The script supports script language inline, this script has access to the
 same beans as the <code>&lt;script&gt;</code> task, and to the <code>

Modified: ant/core/trunk/docs/manual/install.html
URL: http://svn.apache.org/viewvc/ant/core/trunk/docs/manual/install.html?view=diff&rev=484998&r1=484997&r2=484998
==============================================================================
--- ant/core/trunk/docs/manual/install.html (original)
+++ ant/core/trunk/docs/manual/install.html Sat Dec  9 07:28:19 2006
@@ -600,10 +600,21 @@
     <td><a href="http://www.antlr.org/" target="_top">http://www.antlr.org/</a></td>
   </tr>
   <tr>
-    <td >bsf.jar</td>
-    <td>script task<br>
-    <strong>Note</strong>: Ant 1.6 and later require Apache BSF, not
-    the IBM version.  I.e. you need BSF 2.3.0-rc1 or later.</td>
+    <td>bsf.jar</td>
+    <td>script task
+      <p>
+        <strong>Note</strong>: Ant 1.6 and later require Apache BSF, not
+        the IBM version.  I.e. you need BSF 2.3.0-rc1 or later.
+      </p>
+      <p>
+        <strong>Note</strong>: BSF 2.4.0 is needed to use a post 1.5R3 version
+        of rhino's javascript.
+      </p>
+      <p>
+        <strong>Note</strong>: BSF 2.4.0 uses jakarata-commons-logging
+        so it needs the commons-logging.jar.
+      </p>
+      </td>
     <td><a href="http://jakarta.apache.org/bsf/" target="_top">http://jakarta.apache.org/bsf/</a></td>
   </tr>
   <tr>
@@ -636,7 +647,7 @@
     <td>js.jar</td>
     <td>Javascript with script task<br>
     If you use Apache BSF 2.3.0-rc1, you must use rhino 1.5R3 (later
-    versions of BSF work with 1.5R4 as well).</td>
+    versions of BSF (e.g. version 2.4.0) work with 1.5R4 and higher).</td>
     <td><a href="http://www.mozilla.org/rhino/" target="_top">http://www.mozilla.org/rhino/</a></td>
   </tr>
   <tr>



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message